# Ramsey Theory RL Exploration

This is a small project that uses logistic regression with hybrid parameters and grid search to train or compare RL models for developing counterexamples for Ramsey Theory values.

## Structure
- All runnable code inside src/ramsey_checker/test
- Set environment variables, hyperparameters and data paths then run `python test.py`
- TODO: turn global parameters into NeptuneRunnerParameters

## Purpose

The purpose of this project is to develop a model that can find a graph disproving a lower bound of R(r,k) using RL models and logistic regression with hybrid parameters. This will be accomplished through the following steps:

1. Define the problem and requirements: Clearly define the problem and the requirements for the model to be developed.

2. Gather data: Gather the data needed to train and test the model. This will involve collecting data on graphs and their properties.

3. Preprocess data: Preprocess the data to make it suitable for use with the model. This may involve cleaning the data, transforming it into a suitable format, or encoding it in a way that can be used by the model.

4. Train and test the model: Train and test the model using logistic regression with hybrid parameters and grid search to find the best hyperparameters. This will involve using RL models to develop counterexamples for Ramsey Theory values and evaluating the model's performance.

5. Evaluate and compare results: Evaluate the performance of the model and compare it to other RL models. This will involve comparing the accuracy, precision, and recall of the model to other models and analyzing the results.

## Progress

- [x] Define the problem and requirements
- [ ] Gather data
- [ ] Preprocess data
- [ ] Train and test the model
- [ ] Evaluate and compare results

As of now, the problem and requirements for the model have been defined. The next steps will be to gather and preprocess the data, train and test the model, and evaluate and compare the results.

# Contributors
<a href="https://github.com/aLehav/RamseyTheoryRL/graphs/contributors">
  <img src="https://contrib.rocks/image?repo=aLehav/RamseyTheoryRL" />
</a>